package xml.reader;

import java.io.IOException;
import java.nio.charset.Charset;
import java.nio.file.Files;
import java.nio.file.Path;

import org.xml.sax.ContentHandler;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;


public class DefaultXMLReader {
	public static void read(Path xmlFile, Charset cs, ContentHandler handler) throws SAXException, IOException {
		XMLReader xr = XMLReaderFactory.createXMLReader();
		xr.setContentHandler(handler);
		xr.parse(new InputSource(Files.newBufferedReader(xmlFile, cs)));
	}
}
